_: let
  my = {
    name = "marley";
    username = "punkfairie";
    fullName = "Marley Rae";
    email = "marley@punkfairie.net";
  };
in {
  marleyos.my = {
    inherit (my) name username fullName email;
  };

  users = {
    mutableUsers = false;

    users."${my.name}" = {
      isNormalUser = true;
      description = my.fullName;
      extraGroups = ["networkmanager" "wheel"];
      hashedPassword = "$y$j9T$ztWf9WeUCENC2T12qS4mi1$51ihV/5cQ8mdJJrNe7MMguk4hPB61S5xHawsfi.1hL3";
    };
  };

  home-manager.backupFileExtension = "bak";
}
